For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

Fetch a Push Notification Operation

GET
https://comms.twilio.com/v1/PushNotifications/Operations/:operationId
GET
/v1/PushNotifications/Operations/:operationId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.fetchOperation("operationId");
9}
10main();
1{
2 "id": "comms_operation_01h9krwprkeee8fzqspvwy6nq8",
3 "status": "SCHEDULED",
4 "stats": {
5 "total": 150,
6 "recipients": 145,
7 "unaddressable": 3,
8 "scheduled": 20,
9 "queued": 50,
10 "sent": 70,
11 "failed": 5,
12 "canceled": 2
13 },
14 "createdAt": "2024-04-20T14:45:00Z",
15 "updatedAt": "2024-04-20T15:10:00Z"
16}

This operation fetches a single Push Notification Operation using its ID.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Was this page helpful?
Previous

List Push Notification Operations

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

operationIdstringRequired

Response

OK
idstringformat: "^comms_operation_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
The Operation ID is an identifier that can be used to correlate all of the resources created in a request. Issue a GET request to the resource list location, using the Operation ID as a query parameter to retrieve the resources that correlate with the Operation.
statusenum
The status of an Operation.
Allowed values:
statsobject

Represents the stats of a sending operation of one or many Push Notifications.

  • total is the total number of Push Notifications in the Operation.

    • To get the status for each Push Notification, fetch the resource with: GET /PushNotifications/{pushNotificationId}.
  • recipients is the total number of recipients targeted in an Operation.

  • unaddressable is the number of recipients to which no sending attempts were made because a valid token could not be found in the recipient’s Device Registration set for the Credentials or App provided.

  • scheduled is the number of Push Notifications that are scheduled to be sent by Twilio in the future.

  • queued is the number of Push Notifications that are queued in Twilio for sending.

  • sent is the number of Push Notifications that have been sent by Twilio.

  • failed is the number of Push Notifications that failed during processing by Twilio. Get Errors with GET /PushNotifications/Operations/{operationId}/Errors fore more detail.

  • canceled is the number of Push Notifications that were canceled via API request.

createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error